<?php

namespace Drupal\layout_builder_styles\EventSubscriber;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Class RouteSubscriber.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  protected function alterRoutes(RouteCollection $collection) {
    // Swap out Layout Builder's AddBlock and UpdateBlock
    // forms with out own versions which add getters for some properties
    // that we need access to in our form alter.
    // @see https://drupal.org/i/3023334
    $addRoute = $collection->get('layout_builder.add_block');
    if ($addRoute) {
      $addRoute->setDefault('_form', '\Drupal\layout_builder_styles\Form\AddBlockForm');
    }
    $updateRoute = $collection->get('layout_builder.update_block');
    if ($updateRoute) {
      $updateRoute->setDefault('_form', '\Drupal\layout_builder_styles\Form\UpdateBlockForm');
    }
  }

}
